Package org.apache.commons.imaging.formats.jpeg.segments

# Class DhtSegment

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment
org.apache.commons.imaging.formats.jpeg.segments.DhtSegment

public final class DhtSegment extends AbstractSegment

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DhtSegment.HuffmanTable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final List<DhtSegment.HuffmanTable>`
  `huffmanTables`

  ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `length, marker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DhtSegment(int marker, byte[] segmentData)`
  `DhtSegment(int marker, int length, InputStream is)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the description.

  ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `dump, getSegmentType, toString`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### huffmanTables

    public final List<DhtSegment.HuffmanTable> huffmanTables

- ## Constructor Details

  - ### DhtSegment

    public DhtSegment(int marker, byte[] segmentData) throws IOException
    Throws:
      `IOException`

  - ### DhtSegment

    public DhtSegment(int marker, int length, InputStream is) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getDescription

    public String getDescription()
    Description copied from class: `AbstractSegment`
    Gets the description.
    Specified by:
      `getDescription` in class `AbstractSegment`
    Returns:
      the description.